Bug 1247251 - (xfce-polkit) Review Request: xfce-polkit - Simple PolicyKit authentication agent for Xfce
Review Request: xfce-polkit - Simple PolicyKit authentication agent for Xfce
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: William Moreno
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1201124
  Show dependency treegraph
 
Reported: 2015-07-27 12:06 EDT by Raphael Groner
Modified: 2015-09-18 15:00 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0-0.1.20130717gitbe888ee.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-12 20:49:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
williamjmorenor: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Raphael Groner 2015-07-27 12:06:30 EDT
Spec URL: https://raphgro.fedorapeople.org/review/polkit/xfce-polkit.spec
SRPM URL: https://raphgro.fedorapeople.org/review/polkit/xfce-polkit-0-0.1.20130717gitbe888ee.fc22.src.rpm
Description: Simple PolicyKit authentication agent for Xfce
Fedora Account System Username: raphgro
Comment 1 Raphael Groner 2015-08-28 11:15:23 EDT
Hi William,
thanks for your interest to do this review. Are there any issues to fix?
Comment 2 William Moreno 2015-08-28 15:57:16 EDT
Package Aproved
===============

Test Builds:
s390: http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1939901
arm:  http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=3147745
ppc:  http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2724880
koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=10874068

===== MUST items =====
C/C++:
Pass: Package does not contain kernel modules.
Pass: Package contains no static executables.
Pass: Package does not contain any libtool archives (.la)
Pass: Rpath absent or only used for internal libs.

Generic:
Pass: Package is licensed with an open-source compatible license and meets
      other legal requirements as defined in the legal section of Packaging
      Guidelines.
Pass: License field in the package spec file matches the actual license.
Pass: %build honors applicable compiler flags or justifies otherwise.
Pass: Package contains no bundled libraries without FPC exception.
Pass: Changelog in prescribed format.
Pass: Sources contain only permissible code or content.
NA:   Package contains desktop file if it is a GUI application.
NA:   Development files must be in a -devel package
Pass: Package uses nothing in %doc for runtime.
Pass: Package consistently uses macros
Pass: Package is named according to the Package Naming Guidelines.
Pass: Package does not generate any conflict.
Pass: Package obeys FHS, except libexecdir and /usr/target.
NA:   If the package is a rename of another package, proper Obsoletes and
      Provides are present.
Pass: Requires correct, justified where necessary.
Pass: Spec file is legible and written in American English.
Pass: Package contains systemd file(s) if in need.
Pass: Useful -debuginfo package or justification otherwise.
Pass: Package is not known to require an ExcludeArch tag.
Pass: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
Pass: Package complies to the Packaging Guidelines
Pass: Package successfully compiles and builds into binary rpms on at least
      one supported primary architecture.
Pass: Package installs properly.
Pass: Rpmlint is run on all rpms the build produces.
Pass: If (and only if) the source package includes the text of the
      license(s) in its own file, then that file, containing the text of the
      license(s) for the package is included in %license.
Pass: Package requires other packages for directories it uses.
Pass: Package must own all directories that it creates.
Pass: Package does not own files or directories owned by other packages.
Pass: All build dependencies are listed in BuildRequires, except for any
      that are listed in the exceptions section of Packaging Guidelines.
Pass: Package uses either %{buildroot} or $RPM_BUILD_ROOT
Pass: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
      beginning of %install.
Pass: Macros in Summary, %description expandable at SRPM build time.
Pass: Dist tag is present.
Pass: Package does not contain duplicates in %files.
Pass: Permissions on files are set properly.
Pass: Package use %makeinstall only when make install DESTDIR=... doesn't
      work.
Pass: Package is named using only allowed ASCII characters.
Pass: Package does not use a name that already exists.
Pass: Package is not relocatable.
Pass: Sources used to build the package match the upstream source, as
      provided in the spec URL.
Pass: Spec file name must match the spec package %{name}, in the format
      %{name}.spec.
Pass: File names are valid UTF-8.
Pass: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====
Generic:
Pass: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
Pass: Final provides and requires are sane (see attachments).
Pass: Package functions as described.
Pass: Latest version is packaged.
Pass: Package does not include license text files separate from upstream.
Pass: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
Pass: Package should compile and build into binary rpms on all supported
      architectures.
NA:   %check is present and all tests pass.
Pass: Packages should try to preserve timestamps of original installed
      files.
Pass: Packager, Vendor, PreReq, Copyright tags should not be in spec file
Pass: Sources can be downloaded from URI in Source: tag
Pass: Reviewer should test that the package builds in mock.
Pass: Buildroot is not present
Pass: Package has no %clean section with rm -rf %{buildroot} (or
      $RPM_BUILD_ROOT)
Pass: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
Pass: Uses parallel make %{?_smp_mflags} macro.
Pass: SourceX is a working URL.
Pass: Spec use %global instead of %define unless justified.

===== EXTRA items =====
Generic:
Pass: Rpmlint is run on debuginfo package(s).
Pass: Rpmlint is run on all installed packages.
Pass: Large data in /usr/share should live in a noarch subpackage if package
      is arched.
Pass: Package should not use obsolete m4 macros
Pass: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: xfce-polkit-0-0.1.20130717gitbe888ee.fc21.x86_64.rpm
          xfce-polkit-0-0.1.20130717gitbe888ee.fc21.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Rpmlint (debuginfo)
-------------------
Checking: xfce-polkit-debuginfo-0-0.1.20130717gitbe888ee.fc21.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Rpmlint (installed packages)
----------------------------
xfce-polkit.x86_64: W: invalid-url URL: https://github.com/ncopa/xfce-polkit <urlopen error [Errno -2] Name or service not known>
xfce-polkit-debuginfo.x86_64: W: invalid-url URL: https://github.com/ncopa/xfce-polkit <urlopen error [Errno -2] Name or service not known>
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

Requires
--------
xfce-polkit (rpmlib, GLIBC filtered):
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libpolkit-agent-1.so.0()(64bit)
    libpolkit-gobject-1.so.0()(64bit)
    libpthread.so.0()(64bit)
    libxfce4ui-1.so.0()(64bit)
    libxfce4util.so.6()(64bit)
    rtld(GNU_HASH)

Provides
--------
xfce-polkit:
    xfce-polkit
    xfce-polkit(x86-64)

Source checksums
----------------
https://github.com/ncopa/xfce-polkit/archive/be888ee7d1d87d892b2fdef00045061c3d8183e7.tar.gz#/xfce-polkit-be888ee.tar.gz :
  CHECKSUM(SHA256) this package     : 7598eb7537029e7bed12da73640a7ceb4b93e9f4a85694c8061e28096b89087c
  CHECKSUM(SHA256) upstream package : 7598eb7537029e7bed12da73640a7ceb4b93e9f4a85694c8061e28096b89087c
Comment 3 Raphael Groner 2015-08-28 16:16:10 EDT
Thanks!

New Package SCM Request
=======================
Package Name: xfce-polkit
Short Description: Simple PolicyKit authentication agent for Xfce
Upstream URL: https://github.com/ncopa/xfce-polkit
Owners: raphgro
Branches: f23 f22 f21 epel7
InitialCC:
Comment 4 Gwyn Ciesla 2015-08-30 10:17:46 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2015-08-30 11:04:09 EDT
xfce-polkit-0-0.1.20130717gitbe888ee.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14581
Comment 6 Fedora Update System 2015-08-30 11:24:43 EDT
xfce-polkit-0-0.1.20130717gitbe888ee.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14583
Comment 7 Fedora Update System 2015-08-30 11:42:11 EDT
xfce-polkit-0-0.1.20130717gitbe888ee.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14585
Comment 8 Fedora Update System 2015-08-30 12:14:52 EDT
xfce-polkit-0-0.1.20130717gitbe888ee.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7849
Comment 9 Fedora Update System 2015-08-31 22:50:07 EDT
xfce-polkit-0-0.1.20130717gitbe888ee.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update xfce-polkit'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7849
Comment 10 Fedora Update System 2015-09-01 05:58:37 EDT
xfce-polkit-0-0.1.20130717gitbe888ee.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update xfce-polkit'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14583
Comment 11 Fedora Update System 2015-09-01 06:05:02 EDT
xfce-polkit-0-0.1.20130717gitbe888ee.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update xfce-polkit'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14581
Comment 12 Fedora Update System 2015-09-01 11:49:41 EDT
xfce-polkit-0-0.1.20130717gitbe888ee.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update xfce-polkit'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14585
Comment 13 Fedora Update System 2015-09-12 20:49:07 EDT
xfce-polkit-0-0.1.20130717gitbe888ee.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2015-09-12 22:48:02 EDT
xfce-polkit-0-0.1.20130717gitbe888ee.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2015-09-16 22:24:30 EDT
xfce-polkit-0-0.1.20130717gitbe888ee.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2015-09-18 15:00:25 EDT
xfce-polkit-0-0.1.20130717gitbe888ee.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.